<head>
    <link rel="stylesheet" href="view.css">
</head>
<?php
/*
Metroquest Study - Needcognition
S�bastien Lall�
2014/11/29
*/

$questions = array("I view challenging situations as an opportunity to grow and learn.",
				"Thinking about solutions to difficult conceptual problems can keep me awake at night.",
				"The smallest doubt can stop me from seeking out new experiences.",
				"I like to learn about the habits of others.",
				"The anxiety of doing something new makes me feel excited and alive.",
				"I am always looking for experiences that challenge how I think about myself and the world.",
				"I can spend hours on a single problem because I just can't rest without knowing the answer.",
				"I cannot handle the stress that comes from entering uncertain situations.",
				"I like finding out why people behave the way they do.",
				"Risk-taking is exciting to me.",
				"I seek out situations where it is likely that I will have to think in depth about something.",
                                "I feel frustrated if I can't figure out the solution to a problem, so I work even harder to solve it.",
                                "I find it hard to explore new places when I lack confidence in my abilities.",
                                "When other people are having a conversation, I like to find out what it's about.",
                                "When I have free time, I want to do things that are a little scary.",
                                "I enjoy learning about subjects that are unfamiliar to me.",
                                "I work relentlessly at problems that I feel must be solved.",
                                "I cannot function well if I am unsure whether a new experience is safe.",
                                "When around other people, I like listening to their conversations.",
                                "Creating an adventure as I go is much more appealing than a planned adventure.",
                                "I find it fascinating to learn new information.",
                                "It frustrates me not having all the information I need.",
                                "It is difficult to concentrate when there is a possibility that I will be taken by surprise.",
                                "When people argue, I like to know what's going on.",
                                "I prefer friends who are excitingly unpredictable."
);

$answers = array("Does not describe me at all ", "Barely describes me ", "Somewhat describes me ", "Neutral ", "Generally describes me ", "Mostly describes me ", "Completely describes me ");

$missing_fields = FALSE;
$UID_missing = FALSE;
$missing_q = "";

if(isset($_POST['submitted'])){
	$nb_q = count($questions);
	$test_results = array();
	for($i=0; $i<$nb_q; $i++){
		if(isset($_POST['Q'.$i])){
			$test_results[] = intval(htmlspecialchars($_POST['Q'.$i]));
		}
		else{
			$missing_fields = TRUE;
			$missing_q = $missing_q == "" ? ($i+1) : $missing_q.", ".($i+1);
		}
	}
	if(empty($_POST['uid'])){
		$UID_missing = TRUE;
	}
	if(!$missing_fields && isset($_POST['uid'])){

		$dir = "./data/";
		date_default_timezone_set("America/Vancouver");
		$date = date("Y-m-j-G-i-s");
		$uid = htmlspecialchars($_POST['uid']);

		//store answers
		$answers = $test_results[0];
		for($i=1; $i<$nb_q; $i++){
			$answers .= ",".$test_results[$i];
		}

		//compute the score
		//$score = 0;
		//for($i=0; $i<$nb_q; $i++){
		//	$score += $test_results[$i];
		//}

		$f = fopen($dir."5DC_P".$uid."_".$date.".txt", "w");
		//fwrite($f, $uid.",".$score.",".$answers.";\n");
		fwrite($f, $uid.",".$answers.";\n");
		fclose($f);

		$f = fopen($dir."5DC_all.txt", "a");
		//fwrite($f, $uid.",".$date.",".$score.",".$answers.";\n");
                fwrite($f, $uid.",".$date.",".$answers.";\n");

		fclose($f);

		print "Done";
		exit;
	}
}

?>

<html>
<head>
<title>Metroquest study test NC</title>
</head>

<body>

<?php
if($missing_fields){
	print "<p style=\"color:red\"><strong>The following questions are missing : ".$missing_q."</strong></p>";
	$missing_fields = FALSE;
	$missing_q = "";
}
if($UID_missing){
	print "<p style=\"color:red\"><strong>Please enter your user ID (participant number).</strong></p>";
	$UID_missing = FALSE;
}
?>

<form id="testform" class="appnitro" action="5DC.php<?php if(isset($_GET['uid'])) print "?uid=".addslashes(htmlentities($_GET['uid']));  ?>" method="POST">
    <input type="hidden" name="uid" value="<?php  if(isset($_GET['uid'])) echo addslashes(htmlentities($_GET['uid'])); ?>" />
    <ul id = 'questionList'>

    <div>
		<p>User ID: <label><b><?php if(isset($_GET['uid'])) {print addslashes(htmlentities($_GET['uid'])); $_POST['uid'] = (htmlentities($_GET['uid']));} ?></b></label><br /></p>
        <p>
            <h3><b>Below are statements people often use to describe themselves. Please indicate the degree to which these statements accurately describe you. There are no right or wrong answers.</b></h3>
        </p>
    </div>
    <div>
<?php

	for($i=0; $i<count($questions); $i++){
      print "<li>"." <label class=\"description\">".($i+1).". ".$questions[$i]."</label>";
      print "<span>";

		for($j=0; $j<=6; $j++){
			$checked = isset($_POST['Q'.$i]) && $_POST['Q'.$i] == ($j-3) ? "checked" : "";
			print "<input type='radio' class='element radio' name='Q".$i."' value='".($j-3)."' ".$checked.">"."<label class=\"choice\">".$answers[$j]."</label></input>";
		}
      print "</span>";
      print "</li>";
	}
?>

        <p><br /><input type='submit' name="submitted" value="Submit" /><br /></p>
    </div>
</form>
</body>
</html>
